[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Controls' (#lcl)

# TControl.MouseDown

Handles a mouse down event for the control.

## Declaration

Source position: controls.pp line 1489

`protected procedure TControl.MouseDown(`
`Button: TMouseButton;`
`Shift: TShiftState;`
`X: Integer;`
`Y: Integer`
`); virtual;`

## Arguments

`Button` |  | Which buttons are down.
`Shift` |  | Which of Ctrl, Shift or Alt keys are also pressed.
`X` |  | Horizontal Mouse position in client coordinates.
`Y` |  | Vertical Mouse position in client coordinates.

## Description

Called by the MouseDown message handler. Handles Focus changes, and notifies the DragManager while dragging. Finally, it calls the TControl.OnMouseDown handler.